## org.apache.tools.ant.taskdefs
Class Jikes

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.Jikes

Deprecated. merged into the class Javac.

public class Jikes
extends java.lang.Object

Encapsulates a Jikes compiler, by directly executing an external process.

As of Ant 1.2, this class is considered to be dead code by the Ant developers and is unmaintained. Don't use it.

Author:
  skanthak@muehlheim.de

Field Summary
`protected java.lang.String` `command` Deprecated.
`protected JikesOutputParser` `jop` Deprecated.
`protected Project` `project` Deprecated.

Constructor Summary
`protected` `Jikes(JikesOutputParser jop, java.lang.String command, Project project)` Deprecated. Constructs a new Jikes object.

Method Summary
`protected void` `compile(java.lang.String[] args)` Deprecated. Do the compile with the specified arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jop

    protected JikesOutputParser jop

  Deprecated.

### command

    protected java.lang.String command

  Deprecated.

### project

    protected Project project

  Deprecated.

Constructor Detail

### Jikes

    protected Jikes(JikesOutputParser jop,
                    java.lang.String command,
                    Project project)

  Deprecated.
  Constructs a new Jikes object.

Parameters:
  `jop` - - Parser to send jike's output to
  `command` - - name of jikes executable

Method Detail

### compile

    protected void compile(java.lang.String[] args)

  Deprecated.
  Do the compile with the specified arguments.

  Parameters:
    `args` - - arguments to pass to process on command line

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.